document.addEventListener('DOMContentLoaded', () => {
  const result = document.getElementById('result');
  let currentValue = '';
  let operator = '';
  let previousValue = '';

  document.querySelectorAll('button').forEach(button => {
    button.addEventListener('click', () => {
      const value = button.dataset.value;

      if (value >= '0' && value <= '9') {
        currentValue += value;
        result.value = currentValue;
      } else if (['+', '-', '*', '/'].includes(value)) {
        operator = value;
        previousValue = currentValue;
        currentValue = '';
      } else if (value === '=') {
        if (previousValue && currentValue && operator) {
          const num1 = parseFloat(previousValue);
          const num2 = parseFloat(currentValue);
          let calculatedResult = 0;

          switch(operator) {
            case '+': calculatedResult = num1 + num2; break;
            case '-': calculatedResult = num1 - num2; break;
            case '*': calculatedResult = num1 * num2; break;
            case '/': calculatedResult = num1 / num2; break;
          }

          result.value = calculatedResult;
          currentValue = calculatedResult.toString();
          previousValue = '';
          operator = '';

          // Add success animation
          result.classList.add('success');
          setTimeout(() => {
            result.classList.remove('success');
          }, 500);
        }
      } else if (value === 'C') {
        currentValue = '';
        previousValue = '';
        operator = '';
        result.value = '';
      }
    });
  });
});
